{% trans_default_domain('Management') %}

<div id="kingdom" style="display: none;">
    {% if ( lord.kingdom | length ) == 0 %}
        <p class="nothing">
            {{ 'tabs.kingdom.noTown' | trans }}
        </p>
    {% else %}
        <div class="tablevb_top">
            <div class="tablevb_bottom">
                <div class="tablevb_bg">
                    <table class="tablevb">
                        <tbody>

                            {# Column names #}
                            <tr class="first">
                                <th> {{ 'tabs.kingdom.town' | trans }} </th>
                                <th> {{ 'tabs.kingdom.status' | trans }} </th>
                                <th>
                                    <span
                                        onmouseover="showHint(this,'{{ 'stats.trade.name' | trans }}','{{ 'stats.trade.desc' | trans }}')"
                                        onmouseout="hideHint()">
                                        <img src="{{ asset('img/icons/l_tax.png') }}">
                                    </span>
                                </th>
                                <th>
                                    <span
                                        onmouseover="showHint(this,'{{ 'tabs.generals.maintenance' | trans }}','{{ 'tabs.generals.maintenanceTooltip' | trans }}')"
                                        onmouseout="hideHint()">
                                        <strong></strong> 
                                        <img src="{{ asset('img/icons/small/res_gold.gif') }}">
                                    </span>
                                </th>
                                <th>
                                    <span
                                        onmouseover="showHint(this,'{{ 'tabs.kingdom.units' | trans }}','{{ 'tabs.kingdom.unitsTooltip' | trans }}')"
                                        onmouseout="hideHint()">
                                        <img src="{{ asset('img/icons/l_battle.png') }}">
                                    </span>
                                </th>
                            </tr>

                            {# TODO Do a component to be able to display the capital city first then iterate over all our territories #}
                            {# also we'll get rid of the condition so it should be faster to render #}

                            {% set a = 0 %}
                            {% for town in lord.kingdom %}
                                {% set status = '' %}
                                {% set trade = town.trade %}
                                {% set army = town.armyContainer %}
                                {% set freeSoldiers = 0 %}

                                {% if town == lord.spawnNode %}
                                    {% set status = 'Votre Capitale' %}
                                    {% set army = lord.city.defense %}
                                    {% set trade = '--' %}
                                    {% set freeSoldiers = lord.city.getFreeUnitCount %}
                                    {% set tradeTooltip = ('tabs.kingdom.noCityTrade' | trans) %}
                                {% endif %}

                                {% if town == lord.spawnNode %}
                                    {% set tradeTooltip = ('tabs.kingdom.noCityTrade' | trans) %}
                                {% elseif army.TotalUnitCount > town.trade/2 %}
                                    {% set iconURL = asset('img/icons/c_up.png') %}
                                    {% set tradeTooltip = ('tabs.kingdom.increasingTrade' | trans) %}
                                {% elseif army.TotalUnitCount == town.trade/2 %}
                                    {% set iconURL = asset('img/icons/c_equal.png') %}
                                    {% set tradeTooltip = ('tabs.kingdom.stableTrade' | trans) %}
                                {% elseif army.TotalUnitCount < town.trade/2 %}
                                    {% set iconURL = asset('img/icons/c_down.png') %}
                                    {% set tradeTooltip = ('tabs.kingdom.decreasingTrade' | trans) %}
                                {% endif %}
                                
                                <tr {% if a%2 == 0 %} class="even" {% endif %}>
                                    <td>
                                        {% for spot in resourceSpots %}
                                            {% if town.data.id == spot.node.id %}
                                                <img
                                                    onmouseover="showHintMsg(this,'{{ ('map.node.resourceSpot.'~spot.resource.name) | trans([], "Map") }}')"
                                                    onmouseout="hideHint()"
                                                    src="{{ asset('img/icons/small/res_' ~ spot.resource.name ~'.gif') }}"/>
                                            {% endif %}
                                        {% endfor %}

                                        <a href="{{ path('app_map_focusNode', {'worldId':lord.worldmap.id, 'nodeId':town.id}) }}">{{ town.name }}</a>
                                    </td>
                                    <td>
                                        {{ status }}
                                    </td>
                                    <td class="center">
                                        {% if town == lord.spawnNode %}
                                            <span
                                                onmouseover="showHintMsg(this,'{{ 'tabs.kingdom.noCityTrade' | trans }}')"
                                                  onmouseout="hideHint()">--
                                            </span>
                                        {% else %}
                                            <span class="need"
                                                  onmouseover="showHintMsg(this,'{{ 'messages.comingSoon' | trans([],'Common') }}')"
                                                  onmouseout="hideHint()">x
                                            </span>
                                            {# TODO uncomment that once we have the Trade System
                                            <span {% if trade != '--' and trade < 0 %}class="need"{% endif %}
                                                onmouseover="showHintMsg(this,'{{ tradeTooltip }}')"
                                                onmouseout="hideHint()">{{ trade }}
                                                {% if town != lord.spawnNode %}
                                                    <img src="{{ iconURL }}">
                                                {% endif %}
                                            </span>
                                            #}
                                        {% endif %}
                                    </td>
                                    <td class="center">{{ max(0, army.TotalUnitCount - freeSoldiers) }}</td>
                                    <td class="{% if army.TotalUnitCount == 0 %}need{% endif %} center"
                                        {% if army.TotalUnitCount == 0 %}
                                            onmouseover="showHintMsg(this,'{{ 'tabs.kingdom.noDefense' | trans }}')"
                                        {% else %}
                                            onmouseover="showHint(this,
                                                    '{{ 'tabs.kingdom.defense' | trans }}',
                                                    '<ul class=\'ismall\'>{% for army in army.units %}<li><div><img src=\'{{ asset('img/icons/small/u_'~army.resource.name~'.gif') }}\' alt=\'\'/> <span class=\'number\'>{{ army.amount }}</span> </div></li>{% endfor %}</ul><div class=\'clear\'></div>')"
                                        {% endif %}
                                            onmouseout="hideHint()">
                                        {{ army.TotalUnitCount }}
                                    </td> 
                                </tr>
                                {% set a = a + 1 %}
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    {% endif %}
</div>

{# IF RESOURCE ON THE NODE
<td>
    Champ de Lin
	<div class="sres">
		<img src="/img/icons/small/res_lin.gif" alt="">
		<span class="number">50</span>
	</div>
</td>
#}